/*
Copyright (c) 2010 by Drake Justice <djustice.kde@gmail.com>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

*/

#ifndef MKISOTHREAD_H
#define MKISOTHREAD_H

#include <QProcess>
#include <QThread>
#include <QTimer>
#include <QStringList>

class MkISOThread : public QThread
{
  Q_OBJECT
  public:
      MkISOThread(const QString& tmpDir);
      void run();
      
  private:
      QString m_tmpDir;
      QProcess *m_process;
      QTimer *m_timer;
      
  signals:
      void progress(int p);
      void progressMax(int p);
      void finished();
    
  public slots:
      void updateProgress();
      void isoFinished();
};

#endif // MKISOTHREAD_H
